Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 843311 - app-office/libreoffice-7.3.2.2-r1 [pdfimport] fails to build with app-text/poppler-22.05.0
Summary: app-office/libreoffice-7.3.2.2-r1 [pdfimport] fails to build with app-text/po...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Gentoo Office Team
URL: https://github.com/archlinux/svntogit...
Whiteboard:
Keywords:
Depends on:
Blocks: poppler-22.04, poppler-22.05 boost-1.79-stable, qt-5.15.4-stable
  Show dependency tree
 
Reported: 2022-05-08 13:26 UTC by Reva Denis
Modified: 2022-07-10 12:03 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
compressed build.log (build.tar.gz,193.43 KB, application/gzip)
2022-05-08 13:27 UTC, Reva Denis
Details
emerge --info (emerge-info.txt,8.38 KB, text/plain)
2022-05-08 13:28 UTC, Reva Denis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reva Denis 2022-05-08 13:26:35 UTC
app-office/libreoffice-7.3.2.2-r1 with enabled pdfimport use fails to build with dev-libs/boost-1.79.0

/var/tmp/portage/app-office/libreoffice-7.3.2.2-r1/work/libreoffice-7.3.2.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx: In member function ‘int pdfi::PDFOutDev::parseFont(long long int
, GfxFont*, const GfxState*) const’:
/var/tmp/portage/app-office/libreoffice-7.3.2.2-r1/work/libreoffice-7.3.2.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx:477:46: error: no matching function for call to ‘GfxFont::readEmb
FontFile(XRef*, int*)’
  477 |         char* pBuf = gfxFont->readEmbFontFile( m_pDoc->getXRef(), &nSize );
      |                      ~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /var/tmp/portage/app-office/libreoffice-7.3.2.2-r1/work/libreoffice-7.3.2.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.hxx:37,
                 from /var/tmp/portage/app-office/libreoffice-7.3.2.2-r1/work/libreoffice-7.3.2.2/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx:20:
/usr/include/poppler/GfxFont.h:282:47: note: candidate: ‘std::optional<std::vector<unsigned char> > GfxFont::readEmbFontFile(XRef*)’
  282 |     std::optional<std::vector<unsigned char>> readEmbFontFile(XRef *xref);
      |                                               ^~~~~~~~~~~~~~~


Reproducible: Always
Comment 1 Reva Denis 2022-05-08 13:27:55 UTC
Created attachment 777542 [details]
compressed build.log
Comment 2 Reva Denis 2022-05-08 13:28:55 UTC
Created attachment 777545 [details]
emerge --info
Comment 3 Holger Hoffstätte 2022-05-08 13:29:39 UTC
This is due to poppler-22.05, not boost-1.79. I built LO[pdfimport] successfully with 1.79, but got the same error after updating to the new poppler version, which causes a rebuild.
Comment 4 Reva Denis 2022-05-08 13:30:22 UTC
(In reply to Holger Hoffstätte from comment #3)
> This is due to poppler-22.05, not boost-1.79. I built LO[pdfimport]
> successfully with 1.79, but got the same error after updating to the new
> poppler version, which causes a rebuild.

Thank you! I'll fix the bug description
Comment 5 Jan Psota 2022-05-08 13:38:46 UTC
Same here with new Poppler.
Comment 6 jospezial 2022-05-08 14:44:14 UTC
app-office/libreoffice-9999 fails the same.
libreoffice upstream does not seem to be aware of this.
They internally still use an older version of poppler.
Please someone report at https://bugs.documentfoundation.org also.
Comment 7 Sergey Dulko 2022-05-08 15:07:42 UTC
Here is a working patch instead of libreoffice-7.2.6.2-poppler-22.03.0.patch

https://github.com/KaOSx/apps/blob/f42ce5822ae81c35990fe74cb9e3f221792a43a4/libreoffice/poppler.diff
Comment 8 Stephan Hartmann gentoo-dev 2022-05-08 15:23:07 UTC
(In reply to Sergey Dulko from comment #7)
> Here is a working patch instead of libreoffice-7.2.6.2-poppler-22.03.0.patch
> 
> https://github.com/KaOSx/apps/blob/f42ce5822ae81c35990fe74cb9e3f221792a43a4/
> libreoffice/poppler.diff

I think the patch is not fully correct. It misses to set nSize to pBuf.size().
Comment 9 Stephan Hartmann gentoo-dev 2022-05-08 15:25:51 UTC
(In reply to Stephan Hartmann from comment #8)
> (In reply to Sergey Dulko from comment #7)
> > Here is a working patch instead of libreoffice-7.2.6.2-poppler-22.03.0.patch
> > 
> > https://github.com/KaOSx/apps/blob/f42ce5822ae81c35990fe74cb9e3f221792a43a4/
> > libreoffice/poppler.diff
> 
> I think the patch is not fully correct. It misses to set nSize to
> pBuf.size().

pBuf->size() of course.
Comment 10 Andreas Sturmlechner gentoo-dev 2022-05-08 15:34:49 UTC
(In reply to jospezial from comment #6)
> They internally still use an older version of poppler.
> Please someone report at https://bugs.documentfoundation.org also.

We are using the Archlinux patch so far, and they should naturally pursue the upstreaming.
Comment 11 Andreas Sturmlechner gentoo-dev 2022-05-08 15:40:44 UTC
See also 22.04.0 Archlinux apply on top of 22.03.0.
Comment 12 Larry the Git Cow gentoo-dev 2022-05-08 21:57:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af49d8e308d23be5066757c0c624a4f71d6fdaa4

commit af49d8e308d23be5066757c0c624a4f71d6fdaa4
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-08 21:52:15 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-08 21:57:03 +0000

    app-office/libreoffice: add 7.3.3.2 (unkeyworded)
    
    Unkeyworded briefly until I get a chance to test PDF import/export
    with Poppler patches.
    
    Bug: https://bugs.gentoo.org/843311
    Thanks-to: Stephan Hartmann <sultan@gentoo.org> (improvement on the FreeBSD patch)
    Signed-off-by: Sam James <sam@gentoo.org>

 app-office/libreoffice/Manifest                    |   2 +
 ...Add-missing-nSize-set-for-Poppler-22.04.0.patch |  25 +
 ...t-FreeBSD-patch-for-Poppler-22.04.0-build.patch |  76 +++
 app-office/libreoffice/libreoffice-7.3.3.2.ebuild  | 669 +++++++++++++++++++++
 4 files changed, 772 insertions(+)
Comment 13 Larry the Git Cow gentoo-dev 2022-05-09 00:01:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9101ddf57435043ca5d01567d482269e69e7a78

commit d9101ddf57435043ca5d01567d482269e69e7a78
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-09 00:00:58 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-09 00:01:44 +0000

    app-office/libreoffice: fix version check in Poppler 22.04.0 patch
    
    On a machine with Poppler 22.03.0 still, it failed, as it tried
    to take the new branch.
    
    Bug: https://bugs.gentoo.org/843311
    Signed-off-by: Sam James <sam@gentoo.org>

 ...-Import-FreeBSD-patch-for-Poppler-22.04.0-build.patch | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)
Comment 14 iba68 2022-05-09 07:58:43 UTC Comment hidden (obsolete)
Comment 15 Andreas Sturmlechner gentoo-dev 2022-05-09 07:59:45 UTC Comment hidden (obsolete)
Comment 16 Jan Psota 2022-05-09 09:14:27 UTC Comment hidden (obsolete)
Comment 17 jospezial 2022-05-09 09:19:09 UTC
The three app-office/libreoffice/files/ poppler patches apply cleanly to app-office/libreoffice-9999
Compiling in progress now.
Comment 18 Larry the Git Cow gentoo-dev 2022-05-09 19:12:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e04ddc64562f2226e344ddb8fa4307340efb2b46

commit e04ddc64562f2226e344ddb8fa4307340efb2b46
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-09 19:11:48 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-09 19:12:21 +0000

    app-office/libreoffice: slight tweak to Poppler 22.04.0 patch
    
    Bug: https://bugs.gentoo.org/843311
    Thanks-to: Stephan Hartmann <sultan@gentoo.org>
    Signed-off-by: Sam James <sam@gentoo.org>

 ...3.3.2-Add-missing-nSize-set-for-Poppler-22.04.0.patch | 16 +++++++++++-----
 ...fice-7.3.3.2.ebuild => libreoffice-7.3.3.2-r1.ebuild} |  2 +-
 2 files changed, 12 insertions(+), 6 deletions(-)
Comment 19 Larry the Git Cow gentoo-dev 2022-05-09 20:18:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd4432e14c37a4f5a828d5a0aa4c5193326ed535

commit fd4432e14c37a4f5a828d5a0aa4c5193326ed535
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-09 20:17:36 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-09 20:17:58 +0000

    app-office/libreoffice: ... uncomment patch
    
    Thanks asturm. And I'll keyword this shortly.
    
    Bug: https://bugs.gentoo.org/843311
    Signed-off-by: Sam James <sam@gentoo.org>

 .../{libreoffice-7.3.3.2-r1.ebuild => libreoffice-7.3.3.2-r2.ebuild}    | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 20 Larry the Git Cow gentoo-dev 2022-05-09 21:48:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44fe69877d3a4b5e2d655a0d795a20c2b27fb7c7

commit 44fe69877d3a4b5e2d655a0d795a20c2b27fb7c7
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-09 21:48:06 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-09 21:48:06 +0000

    app-office/libreoffice-l10n: keyword 7.3.3.2
    
    Closes: https://bugs.gentoo.org/843311
    Signed-off-by: Sam James <sam@gentoo.org>

 app-office/libreoffice-l10n/libreoffice-l10n-7.3.3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd260cfc2e85e51814decb0c7d80a7118b008d3b

commit cd260cfc2e85e51814decb0c7d80a7118b008d3b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-09 21:47:33 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-09 21:47:33 +0000

    app-office/libreoffice: keyword 7.3.3.2-r2
    
    Closes: https://bugs.gentoo.org/843311
    Signed-off-by: Sam James <sam@gentoo.org>

 app-office/libreoffice/libreoffice-7.3.3.2-r2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 21 jospezial 2022-07-10 03:22:13 UTC
(In reply to jospezial from comment #17)
> The three app-office/libreoffice/files/ poppler patches apply cleanly to
> app-office/libreoffice-9999

Upstream patches in libreoffice master git:
https://github.com/LibreOffice/core/commit/0d0469b4302dfe95b016a6f04b145834b79d5ed3
"Update for Poppler 22.06 "

https://github.com/LibreOffice/core/commit/ad1ffc62e40c2409b610dfff25a8483b1f2556ad
"Follow-up for Poppler 22.06 update "